Reports.GetSalesmen
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Reports/Salesman/{strCustOpenDateStart}/{strCustOpenDateEnd}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
strCustOpenDateStart |
string |
Yes |
Route segment. |
strCustOpenDateEnd |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<SalesmanReportDataDto>
| Field |
Type |
Max Length |
Notes |
customerName |
string |
|
|
openDate |
DateTime |
|
|
opposingCounsel |
string |
|
|
salesman |
string |
|
|
firstInvoiceDate |
DateTime? |
|
|
Response Sample
[
{
"customerName": "ABC Legal Services",
"openDate": "2026-05-07T00:00:00",
"opposingCounsel": "Opposing Counsel LLP",
"salesman": "Alex Sales",
"firstInvoiceDate": "2026-05-07T00:00:00"
}
]